Index: src/superio/smsc/lpc47b272/Makefile.inc
===================================================================
--- src/superio/smsc/lpc47b272/Makefile.inc	(Revision 4665)
+++ src/superio/smsc/lpc47b272/Makefile.inc	(Arbeitskopie)
@@ -19,5 +19,5 @@
 ##
 
 #config chip.h
-obj-$(CONFIG_SUPERIO_SMSC_DEVICE) += superio.o
+obj-$(CONFIG_SUPERIO_SMSC_LPC47B272) += superio.o
 
Index: src/mainboard/asus/mew-vm/Kconfig
===================================================================
--- src/mainboard/asus/mew-vm/Kconfig	(Revision 4665)
+++ src/mainboard/asus/mew-vm/Kconfig	(Arbeitskopie)
@@ -24,7 +24,7 @@
 	select CPU_INTEL_SOCKET_PGA370
 	select NORTHBRIDGE_INTEL_I82810
 	select SOUTHBRIDGE_INTEL_I82801XX
-	select SUPERIO_SMSC_SMSCSUPERIO
+	select SUPERIO_SMSC_LPC47B272
 	select HAVE_PIRQ_TABLE
 	select UDELAY_IO
 	select PCI_ROM_RUN
@@ -42,6 +42,11 @@
 	default "MEW-VM"
 	depends on BOARD_ASUS_MEW_VM
 
+config HAVE_OPTION_TABLE
+	bool
+	default n
+	depends on BOARD_ASUS_MEW_VM
+
 config IRQ_SLOT_COUNT
 	int
 	default 11
Index: src/mainboard/compaq/deskpro_en_sff_p600/Kconfig
===================================================================
--- src/mainboard/compaq/deskpro_en_sff_p600/Kconfig	(Revision 4665)
+++ src/mainboard/compaq/deskpro_en_sff_p600/Kconfig	(Arbeitskopie)
@@ -24,7 +24,8 @@
 	select CPU_INTEL_SLOT_2
 	select NORTHBRIDGE_INTEL_I440BX
 	select SOUTHBRIDGE_INTEL_I82371EB
-	select SUPERIO_NSC_PC97307
+	# should be SUPERIO_NSC_PC97307!
+	select SUPERIO_NSC_PC97317
 	select HAVE_PIRQ_TABLE
 	select UDELAY_IO
 	select PCI_ROM_RUN
